## org.codehaus.groovy.grails.validation
Class ConstrainedPropertyBuilder

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          groovy.util.BuilderSupport
              org.codehaus.groovy.grails.validation.ConstrainedPropertyBuilder

All Implemented Interfaces:
  groovy.lang.GroovyObject

    public class ConstrainedPropertyBuilder

extends groovy.util.BuilderSupport

Builder used as a delegate within the "constraints" closure of GrailsDomainClass instances

Since:
  10-Nov-2005
Author:
  Graeme Rocher

Constructor Summary
`ConstrainedPropertyBuilder(Object target)`

Method Summary
`protected Object` `createNode(Object name)`
`protected Object` `createNode(Object name, Map attributes)`
`protected Object` `createNode(Object name, Map attributes, Object value)`
`protected Object` `createNode(Object name, Object value)`
`Map<String,ConstrainedProperty>` `getConstrainedProperties()`
`List<String>` `getSharedConstraints()`
`protected void` `setParent(Object parent, Object child)`

Methods inherited from class groovy.util.BuilderSupport
`doInvokeMethod, getCurrent, getName, invokeMethod, invokeMethod, nodeCompleted, postNodeCompletion, setClosureDelegate, setCurrent`

Methods inherited from class groovy.lang.GroovyObjectSupport
`getMetaClass, getProperty, setMetaClass, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConstrainedPropertyBuilder

    public ConstrainedPropertyBuilder(Object target)

Method Detail

### getSharedConstraints

    public List<String> getSharedConstraints()

### createNode

    protected Object createNode(Object name,
                                Map attributes)

  Specified by:
    `createNode` in class `groovy.util.BuilderSupport`

### createNode

    protected Object createNode(Object name,
                                Map attributes,
                                Object value)

  Specified by:
    `createNode` in class `groovy.util.BuilderSupport`

### setParent

    protected void setParent(Object parent,
                             Object child)

  Specified by:
    `setParent` in class `groovy.util.BuilderSupport`

### createNode

    protected Object createNode(Object name)

  Specified by:
    `createNode` in class `groovy.util.BuilderSupport`

### createNode

    protected Object createNode(Object name,
                                Object value)

  Specified by:
    `createNode` in class `groovy.util.BuilderSupport`

### getConstrainedProperties

    public Map<String,ConstrainedProperty> getConstrainedProperties()

Copyright (c) 2005-2009 The Grails project